This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 163270 - Unresolved reference to vorbis_synthesis_halfrate
Unresolved reference to vorbis_synthesis_halfrate
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phillip Compton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 13:43 EDT by Kenneth Porter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-14 17:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2005-07-14 13:43:55 EDT
After installing the symlink mentioned in bug 163268, I try to load
/usr/lib/libopenal.so and I get:

/usr/lib/libvorbisfile.so.3: undefined symbol: vorbis_synthesis_halfrate
Comment 1 Michael Schwendt 2005-07-14 15:54:18 EDT
How do you "try to load" it? What do you get for "rpm -qf
/usr/lib/libvorbisfile.so.3 ; rpm -V libvorbis ; objdump -T
/usr/lib/libvorbisfile.so.3 | grep half"?
Comment 2 Kenneth Porter 2005-07-14 17:21:33 EDT
PEBCAK

I had a local libvorbis.so.0 in the working directory and had used
"LD_LIBRARY_PATH=.". 

I'm still puzzled by the error message from dlerror(), though, as the file it
mentions does have the desired symbol. Once I hide the local vorbis library,
openal loads properly.

Note You need to log in before you can comment on or make changes to this bug.